{
  "structure": "MileStoneDetail",
  "fields": [
    {
      "name": "Id",
      "type": "i32"
    },
    {
      "name": "SortId",
      "type": "i32"
    },
    {
      "name": "Action",
      "type": "string"
    },
    {
      "name": "Score",
      "type": "i32"
    },
    {
      "name": "ScoreExtra",
      "type": "string"
    },
    {
      "name": "Title",
      "type": "string"
    },
    {
      "name": "Icon",
      "type": "string"
    }
  ],
  "count": 19,
  "items": [
    {
      "Id": "1",
      "SortId": "1",
      "Action": "emit_product",
      "Score": "1",
      "ScoreExtra": null,
      "Title": "发射器发射1次",
      "Icon": "MileStone/Daily_icon_TAPAlauncher"
    },
    {
      "Id": "2",
      "SortId": "1",
      "Action": "emit_A_product",
      "Score": "1",
      "ScoreExtra": null,
      "Title": "发射器A发射1次",
      "Icon": "MileStone/Daily_icon_TAPAlauncher"
    },
    {
      "Id": "3",
      "SortId": "1",
      "Action": "emit_B_product",
      "Score": "1",
      "ScoreExtra": null,
      "Title": "发射器B发射1次",
      "Icon": "MileStone/Daily_icon_lauonce"
    },
    {
      "Id": "4",
      "SortId": "1",
      "Action": "emit_D_product",
      "Score": "1",
      "ScoreExtra": null,
      "Title": "发射器D发射1次",
      "Icon": "MileStone/Daily_icon_TAPDlauncher"
    },
    {
      "Id": "5",
      "SortId": "2",
      "Action": "merge_product",
      "Score": "0",
      "ScoreExtra": "Ceil((Lv-2)/3)",
      "Title": "任务产物合成1次",
      "Icon": "MileStone/Daily_icon_mergeA"
    },
    {
      "Id": "6",
      "SortId": "2",
      "Action": "merge_A_product",
      "Score": "0",
      "ScoreExtra": "Ceil((Lv-2)/3)",
      "Title": "发射器A产物合成1次",
      "Icon": "MileStone/Daily_icon_mergeA"
    },
    {
      "Id": "7",
      "SortId": "2",
      "Action": "merge_B_product",
      "Score": "0",
      "ScoreExtra": "Ceil((Lv-2)/3)",
      "Title": "发射器B产物合成1次",
      "Icon": "MileStone/Daily_icon_mergeB"
    },
    {
      "Id": "8",
      "SortId": "2",
      "Action": "merge_D_product",
      "Score": "0",
      "ScoreExtra": "Ceil((Lv-2)/3)",
      "Title": "发射器D产物合成1次",
      "Icon": "MileStone/Daily_icon_mergeD"
    },
    {
      "Id": "9",
      "SortId": "2",
      "Action": "emit_C_product",
      "Score": "2",
      "ScoreExtra": null,
      "Title": "发射器C/子发射器发射1次",
      "Icon": "MileStone/Daily_icon_TAPClauncher"
    },
    {
      "Id": "10",
      "SortId": "3",
      "Action": "finish_order",
      "Score": "0",
      "ScoreExtra": "\"500,1000,1500=5,8,12,20\"",
      "Title": "完成1个订单",
      "Icon": "MileStone/Daily_icon_fulfill1order"
    },
    {
      "Id": "11",
      "SortId": "3",
      "Action": "merge_C_product",
      "Score": "0",
      "ScoreExtra": "Ceil((Lv-2)/3) + 1",
      "Title": "发射器C/子发射器产物合成1次",
      "Icon": "MileStone/Daily_icon_mergeC"
    },
    {
      "Id": "12",
      "SortId": "3",
      "Action": "watch_ad",
      "Score": "3",
      "ScoreExtra": null,
      "Title": "观看1次广告",
      "Icon": "MileStone/Daily_icon_watchadonce"
    },
    {
      "Id": "13",
      "SortId": "3",
      "Action": "open_bubble",
      "Score": "3",
      "ScoreExtra": null,
      "Title": "打开1个泡泡",
      "Icon": "MileStone/Daily_icon_popbubbleonce"
    },
    {
      "Id": "14",
      "SortId": "3",
      "Action": "unlock_box",
      "Score": "6",
      "ScoreExtra": null,
      "Title": "解锁1个宝箱",
      "Icon": "MileStone/Daily_icon_open1box"
    },
    {
      "Id": "15",
      "SortId": "4",
      "Action": "open_bubble",
      "Score": "3",
      "ScoreExtra": null,
      "Title": "打开1个泡泡",
      "Icon": "MileStone/Daily_icon_popbubbleonce"
    },
    {
      "Id": "16",
      "SortId": "4",
      "Action": "unlock_box",
      "Score": "6",
      "ScoreExtra": null,
      "Title": "解锁1个宝箱",
      "Icon": "MileStone/Daily_icon_open1box"
    },
    {
      "Id": "17",
      "SortId": "4",
      "Action": "consume_10_diamond",
      "Score": "6",
      "ScoreExtra": null,
      "Title": "消费10钻石",
      "Icon": "MileStone/Daily_icon_costdiamond"
    },
    {
      "Id": "18",
      "SortId": "4",
      "Action": "finish_decorate",
      "Score": "0",
      "ScoreExtra": "Ceil(sceneId/2)*4",
      "Title": "完成1个装饰",
      "Icon": "MileStone/Daily_icon_Completeadecoration"
    },
    {
      "Id": "19",
      "SortId": "4",
      "Action": "watch_ad",
      "Score": "3",
      "ScoreExtra": null,
      "Title": "观看1次广告",
      "Icon": "MileStone/Daily_icon_watchadonce"
    }
  ]
}